#include "Sprint.h"
#include "Utils/MoveUtils.h"

auto Sprint::onWorldTick(Player* _this) -> void {
	if (legit) {
		Utils::Move::setSprinting(_this, true);
		return;
	}

	if (!omni && !Utils::Move::isForwarding()) return;

	Utils::Move::setSprinting2(_this, true);
}

auto Sprint::onClient() -> void {
	for (Setting* setting : Client::findSetting(this, _("Omni"))) {
		setting->visible = !legit;
	}
}
